<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.mediatek.voicecommand"
    android:sharedUserId="android.uid.system"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-sdk android:minSdkVersion="21" />

    <protected-broadcast android:name="com.mediatek.vow.ACTION_SWITCH_USER" />

    <permission
        android:protectionLevel="signatureOrSystem"
        android:name="com.mediatek.permission.USE_VOICE_COMMAND_SERVICE">
    </permission>

    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.WRITE_MEDIA_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_SECURE_SETTINGS" />
    <uses-permission android:name="android.permission.MANAGE_VOICE_KEYPHRASES" />
    <uses-permission android:name="android.permission.MANAGE_USERS" />

    <application
        android:name=".service.VoiceCommandApp"
        android:icon="@mipmap/ic_launcher_settings"
        android:label="@string/app_name"
        android:theme="@android:style/Theme.Material.Settings"
        android:persistent="true"
        android:supportsRtl="true"
        android:allowBackup="false"
        android:allowClearUserData="false" >
        <activity
            android:name=".ui.settings.VoiceUiSettingsActivity" android:exported="false"
            android:configChanges="orientation|keyboardHidden|keyboard|navigation"
            android:taskAffinity="com.android.settings"
            android:label="@string/voice_ui_title" >
            <intent-filter>
                <action android:name="com.mediatek.voicecommand.VOICE_CONTROL_SETTINGS" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity android:name=".ui.settings.VoiceWakeupInteractionActivity"
            android:exported="false">
            <intent-filter>
                <action android:name="com.mediatek.voicecommand.VOW_INTERACT" />
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.settings.VoiceUiAvailableLanguageActivity" android:exported="false"
            android:configChanges="orientation|keyboardHidden|keyboard|navigation"
            android:taskAffinity="com.android.settings"
            android:parentActivityName=".ui.settings.VoiceUiSettingsActivity"
            android:label="@string/voice_ui_language_title" >
            <intent-filter>
                <action android:name="com.mediatek.voicecommand.VOICE_CONTROL_LANGUAGE" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity
            android:name=".ui.settings.VoiceUiCommandPlayActivity" android:exported="false"
            android:configChanges="orientation|keyboardHidden|keyboard|navigation"
            android:taskAffinity="com.android.settings"
            android:parentActivityName=".ui.settings.VoiceUiSettingsActivity"
            android:label="@string/voice_ui_language_title" >
            <intent-filter>
                <action android:name="com.mediatek.voicecommand.VOICE_UI_COMMAND_PLAY" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity 
            android:name=".ui.unlock.PswPreviewActivity" 
            android:theme="@android:style/Theme.Holo.Dialog"
            android:taskAffinity=""
            android:hardwareAccelerated="false"
            android:excludeFromRecents="true"
            android:permission="com.mediatek.permission.USE_VOICE_COMMAND_SERVICE"
            android:configChanges="orientation|screenSize" >
            <intent-filter>
                <action android:name="com.mediatek.voicecommand.VOICE_UNLOCK_PSWPREVIEW" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <service android:name=".service.VoiceCommandManagerService"
                 android:singleUser="true"
                 android:permission="com.mediatek.permission.USE_VOICE_COMMAND_SERVICE">
            <intent-filter>
                <action android:name="com.mediatek.voicecommand" />

                <category android:name="com.mediatek.nativeservice" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </service>
        <service android:name=".service.TriggerService"
                 android:singleUser="true"
                 android:exported="false">
        </service>
    </application>
</manifest>
